Package org.eclipse.emf.cdo.common.branch

# Interface CDOBranchChangedEvent

All Superinterfaces:
  `CDOBranchProvider`, `org.eclipse.net4j.util.event.IEvent`

All Known Subinterfaces:
  `CDOBranchCreatedEvent`

public interface CDOBranchChangedEvent extends org.eclipse.net4j.util.event.IEvent, CDOBranchProvider
An `event` fired from a `branch manager` when a new `branch` has been created.

Since:
  4.3
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDOBranchChangedEvent.ChangeKind`

## Method Summary

Modifier and Type
Method
Description
`CDOBranch`
`getBranch()`
`int[]`
`getBranchIDs()`
`CDOBranchChangedEvent.ChangeKind`
`getChangeKind()`
`CDOBranchManager`
`getSource()`

## Method Details

### getSource

CDOBranchManager getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

### getBranch

CDOBranch getBranch()

Specified by:
  `getBranch` in interface `CDOBranchProvider`

### getBranchIDs

int[] getBranchIDs()

Since:
  4.15

### getChangeKind

CDOBranchChangedEvent.ChangeKind getChangeKind()